/**
 * Eigenschaftsklasse fr die Methode IstAnzugtraeger () der
 * Klasse Person.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public class IstAnzugtraeger implements Eigenschaft
{
    /**
     * Prfe, ob "dieserEintrag" ein Anzugtrger ist.
     * 
     * @param dieserEintrag Eintrag, der geprft werden soll.
     * @return true, wenn "dieserEintrag" ein Anzugtrger ist.
     */
    public boolean hatEigenschaft (Eintrag dieserEintrag) 
    {
        if (dieserEintrag instanceof Person)
        {
            return ((Person) dieserEintrag).istAnzugtraeger ();
        }
        else
        {
            return false;
        }
    }
}
