/**
 * Eigenschaftsklasse fr die Methode IstBlondine () der
 * Klasse Person.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public class IstBlondine implements Eigenschaft
{
    /**
     * Prfe, ob "dieserEintrag" eine Blondine ist.
     * 
     * @param dieserEintrag Eintrag, der geprft werden soll.
     * @return true, wenn "dieserEintrag" eine Blondine ist.
     */
    public boolean hatEigenschaft (Eintrag dieserEintrag) 
    {
        if (dieserEintrag instanceof Person)
        {
            return ((Person) dieserEintrag).istBlondine ();
        }
        else
        {
            return false;
        }
    }
}
