/**
 * Maennliches Piktogramm.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-21
 */
public class Mann extends Person
{
    /**
     * Konstruktor.
     * Erzeuge ein mnnliches Piktogramm der Strichstrke a
     * an der Position (x|y) mit den gewnschten Farben.
     */
    public Mann (int a, int x, int y, String name,
                 String hautfarbe, String haarfarbe, String schuhfarbe,
                 String kleiderfarbe1, String kleiderfarbe2, String kleiderfarbe3)
    {
        super (a, x, y, name, hautfarbe, haarfarbe, schuhfarbe,
               kleiderfarbe1, kleiderfarbe2, kleiderfarbe3);
        
        jacket.ergaenzeEcke (x + 16*a, y +  18*a);
        jacket.ergaenzeEcke (x + 10*a, y +  20*a);
        jacket.ergaenzeEcke (x +  4*a, y +  40*a);
        jacket.ergaenzeEcke (x +  8*a, y +  42*a);
        jacket.ergaenzeEcke (x + 12*a, y +  32*a);
        jacket.ergaenzeEcke (x + 13*a, y +  40*a);
        jacket.ergaenzeEcke (x + 27*a, y +  40*a);
        jacket.ergaenzeEcke (x + 28*a, y +  32*a);
        jacket.ergaenzeEcke (x + 32*a, y +  42*a);
        jacket.ergaenzeEcke (x + 36*a, y +  40*a);
        jacket.ergaenzeEcke (x + 30*a, y +  20*a);
        jacket.ergaenzeEcke (x + 24*a, y +  18*a);
        
        hand1.ergaenzeEcke (x + 4*a, y +  40*a);
        hand1.ergaenzeEcke (x + 8*a, y +  42*a);
        hand1.ergaenzeEcke (x + 7*a, y +  46*a);
        hand1.ergaenzeEcke (x + 3*a, y +  44*a);
        
        hand2.ergaenzeEcke (x + 36*a, y +  40*a);
        hand2.ergaenzeEcke (x + 32*a, y +  42*a);
        hand2.ergaenzeEcke (x + 33*a, y +  46*a);
        hand2.ergaenzeEcke (x + 37*a, y +  44*a);
        
        // Der Hemdkragen.
        kragen.ergaenzeEcke (x + 16*a, y +  16*a);
        kragen.ergaenzeEcke (x + 24*a, y +  16*a);
        kragen.ergaenzeEcke (x + 24*a, y +  20*a);
        kragen.ergaenzeEcke (x + 16*a, y +  20*a);
        kragen.setzeFarbe (kleiderfarbe2);
        
        // Das Hemd unter dem Jacket.
        rock.ergaenzeEcke (x + 18*a, y +  18*a);
        rock.ergaenzeEcke (x + 18*a, y +  40*a);
        rock.ergaenzeEcke (x + 22*a, y +  40*a);
        rock.ergaenzeEcke (x + 22*a, y +  18*a);
        
        hose.ergaenzeEcke (x + 13*a, y + 40*a);
        hose.ergaenzeEcke (x +  8*a, y + 76*a);
        hose.ergaenzeEcke (x + 14*a, y + 76*a);
        hose.ergaenzeEcke (x + 20*a, y + 52*a);
        hose.ergaenzeEcke (x + 26*a, y + 76*a);
        hose.ergaenzeEcke (x + 32*a, y + 76*a);
        hose.ergaenzeEcke (x + 27*a, y + 40*a);
        
        schuh1.ergaenzeEcke (x +  8*a, y + 76*a);
        schuh1.ergaenzeEcke (x +  4*a, y + 80*a);
        schuh1.ergaenzeEcke (x + 14*a, y + 80*a);
        schuh1.ergaenzeEcke (x + 14*a, y + 76*a);
        
        schuh2.ergaenzeEcke (x + 32*a, y +  76*a);
        schuh2.ergaenzeEcke (x + 36*a, y +  80*a);
        schuh2.ergaenzeEcke (x + 26*a, y +  80*a);
        schuh2.ergaenzeEcke (x + 26*a, y +  76*a);
    }
    
    /**
     * Besttige, dass dieses Piktogramm nicht weiblich ist.
     */
    public boolean istWeiblich ()
    {
        return false;
    }
    
    /**
     * Setze die Kleiderfarben.
     * Bei mir als Mann hat mein Kragen immer dieselbe Farbe
     * wie mein Hemd.
     */
    public void setzeKleiderfarben (String neueFarbe1, String neueFarbe2, String neueFarbe3)
    {
        super.setzeKleiderfarben (neueFarbe1, neueFarbe2, neueFarbe3);
        
        kragen.setzeFarbe (neueFarbe2);
        kopf.macheSichtbar ();
    }
}
