/**
 * Befehlsklasse fr die Methode schwebe () der Klasse Person.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public class Schwebe implements Befehl
{
    /**
     * Wenn "dieserEintrag" eine Person ist, dann lass sie einige
     * Bildpunkte nach oben schweben.
     * 
     * @param dieserEintrag Eintrag, fr den der Befehl ausgefhrt werden soll.
     * @param zeichenketten Die (nicht bentigten) Argumente.
     */
    public void fuehreAus (Eintrag dieserEintrag, String[] zeichenketten)
    {
        if (dieserEintrag instanceof Person)
        {
            ((Person) dieserEintrag).schwebe ();
        }
    }
}