/**
 * Befehlsklasse fr die Methode setzeSchuhfarbe () der Klasse Person.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public class SetzeSchuhfarbe implements Befehl
{
    /**
     * Wenn "dieserEintrag" eine Person ist, frbe ihre Schuhe
     * in "neueFarbe".
     * 
     * @param dieserEintrag Eintrag, fr den der Befehl ausgefhrt werden soll.
     * @param neueFarben Die neue Schuhfarbe.
     */
    public void fuehreAus (Eintrag dieserEintrag, String[] neueFarbe)
    {
        if (dieserEintrag instanceof Person)
        {
            if (neueFarbe.length > 0)
            {
                ((Person) dieserEintrag).setzeSchuhfarbe (neueFarbe[0]);
            }
        }
    }
}